import { Service } from '@/Service/Service';
/*****用户接口*****/
class userService {
	private static GetUserInfoPath : string = '/api/User/GetUserInfo';
	/*****获取用户信息接口*****/
	static GetUserInfo() {
		var result = Service.Request(this.GetUserInfoPath, "GET", {});
		return result;
	}
	
	
	private static IsCheakUserVerifyPath : string = '/api/User/IsCheakUserVerify';
	/*****是否可以使用接口*****/
	static IsCheakUserVerify() {
		var result = Service.Request(this.IsCheakUserVerifyPath, "GET", {});
		return result;
	}
	
	private static UpdateUserInfoPath : string = '/api/User/UpdateUserInfo';
	/*****修改用户信息接口*****/
	static UpdateUserInfo(name:string,phone:string,headImg:string) {
		var result = Service.Request(this.UpdateUserInfoPath, "POST", {name,phone,headImg});
		return result;
	}
	
	
	// private static GetStudentInfoPath : string = '/api/Student/GetStudentInfo';
	// /*****根据学生id查详情接口*****/
	// static GetStudentInfo(studentId:string) {
	// 	var result = Service.Request(this.GetStudentInfoPath, "GET", {studentId});
	// 	return result;
	// }
}
export {
	Service,
	userService
}